Module ij
Package ij.gui

# Class HistogramPlot

java.lang.Object
ij.ImagePlus
ij.gui.HistogramPlot

All Implemented Interfaces:
  `Measurements`, `ImageObserver`, `Cloneable`

public class HistogramPlot extends ImagePlus

## Field Summary

### Fields inherited from class ij.ImagePlus

`changes, CLOSED, COLOR_256, COLOR_RGB, compositeImage, currentSlice, dimensionsSet, flattenTitle, GRAY16, GRAY32, GRAY8, height, img, ip, locked, nChannels, nFrames, nSlices, OPENED, roi, SAVED, setIJMenuBar, UPDATED, width, win`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Fields inherited from interface ij.measure.Measurements

`ADD_TO_OVERLAY, ALL_STATS, AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, NaN_EMPTY_CELLS, PERIMETER, RECT, SCIENTIFIC_NOTATION, SHAPE_DESCRIPTORS, SKEWNESS, SLICE, STACK_POSITION, STD_DEV`

## Constructor Summary

Constructors
Constructor
Description
`HistogramPlot()`

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(ImagePlus imp, int bins, double histMin, double histMax, int yMax)`
Plots a histogram using the specified title, number of bins and histogram range.
`void`
`draw(ImagePlus imp, ImageStatistics stats)`
Draws the histogram using the specified title and ImageStatistics.
`void`
`draw(String title, ImagePlus imp, int bins)`
Plots a histogram using the specified title and number of bins.
`protected void`
`drawHistogram(ImageProcessor ip, boolean fixedRange)`
`int[]`
`getHistogram()`
`double[]`
`getXValues()`
`void`
`show()`
Opens a window to display this image and clears the status bar.

### Methods inherited from class ij.ImagePlus

`addImageListener, clone, close, convertIndexToPosition, convertToImageProcessor, copy, copy, copyAttributes, copyScale, copyToSystem, createEmptyStack, createHyperStack, createImagePlus, createLut, createNewRoi, createRoiMask, createThresholdMask, crop, crop, crop, crop, cropAndSave, cut, deleteRoi, draw, draw, duplicate, flatten, flattenStack, flush, getAllStatistics, getBitDepth, getBufferedImage, getBytesPerPixel, getC, getCalibration, getCanvas, getChannel, getChannelProcessor, getClipboard, getCompositeMode, getCurrentSlice, getDefault16bitRange, getDimensions, getDimensions, getDisplayMode, getDisplayRangeMax, getDisplayRangeMin, getFileInfo, getFrame, getGlobalCalibration, getHeight, getHideOverlay, getID, getImage, getImageProperties, getImageStack, getImageStackSize, getInfoProperty, getListeners, getLocalCalibration, getLocationAsString, getLuts, getMask, getNChannels, getNDimensions, getNFrames, getNSlices, getNumericProp, getNumericProperty, getOpenAsHyperStack, getOriginalFileInfo, getOverlay, getPixel, getPlot, getProcessor, getProp, getProperties, getPropertiesAsArray, getProperty, getPropsInfo, getRawStatistics, getRoi, getShortTitle, getSizeInBytes, getSlice, getStack, getStackIndex, getStackSize, getStartTime, getStaticGlobalCalibration, getStatistics, getStatistics, getStatistics, getStatistics, getStringProperty, getT, getTitle, getType, getWidth, getWindow, getZ, hasImageStack, hide, imageUpdate, isComposite, isDisplayedHyperStack, isHyperStack, isInvertedLut, isLocked, isLockedByAnotherThread, isProcessor, isRGB, isStack, isThreshold, isVisible, killRoi, killStack, lock, lockSilently, logImageListeners, mouseMoved, notifyListeners, okToDeleteRoi, paste, paste, paste, plotHistogram, plotHistogram, removeImageListener, removeScale, repaintWindow, resetClipboard, resetDisplayRange, resetRoi, resetStack, resize, resize, restoreRoi, revert, saveRoi, setActivated, setActiveChannels, setAntialiasRendering, setAutoThreshold, setBorderColor, setC, setCalibration, setColor, setDeactivated, setDefault16bitRange, setDefaultDisplayRange, setDimensions, setDisplayMode, setDisplayRange, setDisplayRange, setFileInfo, setGlobalCalibration, setHideOverlay, setIgnoreFlush, setIgnoreGlobalCalibration, setIJMenuBar, setIJMenuBar, setImage, setImage, setLut, setOpenAsHyperStack, setOverlay, setOverlay, setOverlay, setPlot, setPosition, setPosition, setPositionWithoutUpdate, setProcessor, setProcessor, setProp, setProp, setProperties, setProperty, setRoi, setRoi, setRoi, setRoi, setSlice, setSliceWithoutUpdate, setStack, setStack, setStack, setT, setTemporary, setTitle, setType, setTypeToColor256, setWindow, setZ, show, startTiming, tempOverlay, toggleOverlay, toString, trimProcessor, unlock, updateAndDraw, updateAndRepaintWindow, updateChannelAndDraw, updateImage, updatePosition, updateStatusbarValue, updateVirtualSlice, waitTillActivated, windowActivated`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HistogramPlot

public HistogramPlot()

## Method Details

### draw

public void draw(String title, ImagePlus imp, int bins)
Plots a histogram using the specified title and number of bins. Currently, the number of bins must be 256 expect for 32 bit images.

### draw

public void draw(ImagePlus imp, int bins, double histMin, double histMax, int yMax)
Plots a histogram using the specified title, number of bins and histogram range. Currently, the number of bins must be 256 and the histogram range range must be the same as the image range expect for 32 bit images.

### draw

public void draw(ImagePlus imp, ImageStatistics stats)
Draws the histogram using the specified title and ImageStatistics.

### drawHistogram

protected void drawHistogram(ImageProcessor ip, boolean fixedRange)

### getHistogram

public int[] getHistogram()

### getXValues

public double[] getXValues()

### show

public void show()
Description copied from class: `ImagePlus`
Opens a window to display this image and clears the status bar.

Overrides:
  `show` in class `ImagePlus`